# RAPPORT INTERMÉDIAIRE SAÉ 2.03

## Équipe

- **SIBARNI Anas**
- **ACHOUCH Anas**
- **YAHIAOUI Mohamed El Amine**

---

## Procédures de compilation

### L'outil de conversion utilisé dans notre cas est Pandoc

Pandoc est un outils de conversion en ligne de commande qui récupère un fichie (_par exemple un fichier text simple à balisage léger_) et le compile dans une autre extension.

### Première étape : Installer `Pandoc`

Sur un Systeme Debian, ouvrez un terminal a l'emplacement du dossier SAE:

```sh
sudo apt install pandoc #Installer pandoc
sudo apt install texlive-full #support LATEX pour les PDF (6GB mais necessaire)
sudo apt install texlive-xetex #pour garantir un bon fonctionnement avec "--pdf-engine=xelatex"
```

---

### Convertir le `rapport.md` en fichier `PDF`

Effectuer une copie du  [`template`](https://github.com/Wandmalfarbe/pandoc-latex-template):

```sh
# Terminal ouvert a l'emplacement du dossier SAE
cp ./sources/templates/* ~/.pandoc/templates #Copie du template à l'emplacemnt nécessaire
```

Conversion en `PDF` avec template:

```sh
pandoc ./sources/rapport.md -o rapport.pdf --pdf-engine=xelatex  --from markdown --template eisvogel --listings
```

Conversion en `PDF` sans template:

```sh
pandoc ./sources/rapport.md -o rapport.pdf --pdf-engine=xelatex  --from markdown --listings
```

---

### Convertir le `rapport.md` en page `HTML`

Effectuer une copie du [`template`](https://github.com/ryangrose/easy-pandoc-templates):

```sh
# Clones le template dans ~/.pandoc/templates
curl 'https://raw.githubusercontent.com/ryangrose/easy-pandoc-templates/master/copy_templates.sh' | bash
```

Conversion en `HTML` :

```sh
# pandoc source.md -o destination.html --template=template_name.html
pandoc ./sources/rapport.md -f markdown -o rapport.html --template=easy_template.html --toc --metadata title="SAÉ 2.03 GRP A7"
```

---

### **Résumé des commandes à executer**

```sh
sudo apt install pandoc
sudo apt install texlive-full
sudo apt install texlive-xetex
pandoc ./sources/rapport.md -o rapport.pdf --pdf-engine=xelatex
curl 'https://raw.githubusercontent.com/ryangrose/easy-pandoc-templates/master/copy_templates.sh' | bash
pandoc ./sources/rapport.md -f markdown -o rapport.html --template=easy_template.html --toc --metadata title="SAÉ 2.03 GRP A7"
```
