---
title: "RAPPORT SAE 2.03 RESEAUX"
author:
  - '[Sibarni Anas](anas.sibarni.etu@univ-lille.fr)'
  - '[Achouch Anas](anas.achouch.etu@univ-lille.fr)'
  - '[YAHIAOUI Mohamed El Amine](mohamed-el-amine.yahiaoui.etu@univ-lille.fr)'
date: "2025-03"
titlepage: true
titlepage-color: C6D0C8
titlepage-rule-height: 2
header-includes:
  - \usepackage{enumitem}
  - \renewlist{itemize}{itemize}{5}
  - \setlist[itemize]{label=$\cdot$}
---

# SAÉ 2.03 - GRP A7

## Table des matières

- [SAÉ 2.03 - GRP A7](#saé-203---grp-a7)
  - [Table des matières](#table-des-matières)
  - [Semaine S1 de la SAÉ](#semaine-s1-de-la-saé)
    - [Formation de notre équipe](#formation-de-notre-équipe)
    - [Préparation d’une machine virtuelle Debian](#préparation-dune-machine-virtuelle-debian)
      - [Prérequis matériel de la machine physique](#prérequis-matériel-de-la-machine-physique)
      - [Préparation de la machine virtuelle](#préparation-de-la-machine-virtuelle)
        - [Caractéristiques de la machine virtuelle](#caractéristiques-de-la-machine-virtuelle)
      - [Installation de l’OS](#installation-de-los)
    - [Préparation du système](#préparation-du-système)
      - [Accès sudo pour user](#accès-sudo-pour-user)
      - [Installation des suppléments invités](#installation-des-suppléments-invités)
    - [À propos de la distribution Debian](#à-propos-de-la-distribution-debian)
      - [Quelques questions](#quelques-questions)
        - [_La maintenance_](#la-maintenance)
        - [_Nom générique, nom de code et version_](#nom-générique-nom-de-code-et-version)
    - [Installation préconfigurée](#installation-préconfigurée)
      - [Récupérer et préparer les fichiers nécessaires](#récupérer-et-préparer-les-fichiers-nécessaires)
        - [Faire une nouvelle machine avec les caractéristiques suivantes](#faire-une-nouvelle-machine-avec-les-caractéristiques-suivantes)
        - [Fichiers de pré-configuration](#fichiers-de-pré-configuration)
        - [Questions : Ajustement de la pré-configuration](#questions--ajustement-de-la-pré-configuration)
    - [Problèmes rencontrés](#problèmes-rencontrés)
    - [Solutions envisagées](#solutions-envisagées)
  - [Semaine S2 de la SAÉ](#semaine-s2-de-la-saé)
    - [Rapport et Readme](#rapport-et-readme)
  - [Semaine S3 de la SAÉ](#semaine-s3-de-la-saé)
    - [Interface graphique pour git](#interface-graphique-pour-git)
      - [Installons autre chose et comparons](#installons-autre-chose-et-comparons)
  - [Semaine S4 de la SAÉ](#semaine-s4-de-la-saé)
    - [1. Préliminaire : redirection de port](#1-préliminaire--redirection-de-port)
    - [2. Installation de Gitea](#2-installation-de-gitea)
      - [2.1. Installation de gitea](#21-installation-de-gitea)
        - [2.1.1. Installation du binaire](#211-installation-du-binaire)
      - [2.1.2 Mise à jour](#212-mise-à-jour)
      - [2.2. Tests d’utilisation](#22-tests-dutilisation)

## Semaine S1 de la SAÉ

### Formation de notre équipe

> (_GRP A7_) : Anas Sibarni, Anas Achouch, Mohamed El Amine Yahiaoui

### Préparation d’une machine virtuelle Debian

#### Prérequis matériel de la machine physique

- [x] 4 Go de RAM minimum
- [x] 20 Go d’espace disque disponible ou plus
- [ ] [VirtualBox](https://www.virtualbox.org/wiki/Downloads) installé avec son «extension pack» (VBoxGuestAddition.iso) sur la machine hôte.

#### Préparation de la machine virtuelle

##### Caractéristiques de la machine virtuelle

- [x] Nom de la machine dans VirtualBox : **_sae203_**
- [ ] Dossier de la machine : **/usr/local/virtual_machine/infoetu/_login_** | Bien entendu, login est à remplacer par votre login.
- [ ] Type : **_Linux_**
- [ ] Version : **_Debian 64-bit_**
- [ ] Mémoire vive (RAM) : **_2048 Mo_**
- [ ] Disque dur : **_20 Go_**, ne pas cocher la case "_Pre-allocate Full Size_"

Suivez les indications de cette image pour configurer votre machine virtuelle (en ajustant les chemin "_Folder_" si besoin):

![Configuration de la machine virtuelle](images/confifuration-vm-5.png)  
_Configuration de la machine virtuelle_

![Configuration de la mémoire de la machine virtuelle](images/config-vm-memoire.png)  
_Configuration de la mémoire de la machine virtuelle_

![Configuration du stockage de la machine virtuelle](images/config-vm-stockage.png)  
_Configuration du stockage de la machine virtuelle_

![Récapitulatif de la machine virtuelle](images/recapitulatif-5.png)  
_Récapitulatif de la machine virtuelle_

- Que signifie “_64-bit_” dans “_Debian 64-bit_” ?

  > La largeur des registres est de 64 bits sur les nombres entiers. (Peut gérer plus de 4GB de RAM)  
  > [Source](https://openclassrooms.com/forum/sujet/quelle-est-la-difference-entre-os-32-et-64bits)

- Quelle est la configuration réseau utilisée par défaut ?

  > La configuration réseau par défaut est IPV6.

- Quel est le nom du fichier XML contenant la configuration de votre machine ?

  > Le nom du fichier XML contenant la configuration de notre machine est _config.xml_  
  > [Source](https://learn.microsoft.com/fr-fr/windows/deployment/usmt/usmt-configxml-file)

- Sauriez-vous le modifier directement ce fichier de configuration pour mettre 2 processeurs à votre machine ?
  > Ouvrir le fichier _config.xml_ en exécutant la commande `nano config.xml` puis modifier le nombre de processeurs.

#### Installation de l’OS

Pour installer l'OS [Debian](https://www.debian.org/), télécharger le _fichier.iso_ sur leur site, et insérer ce fichier comme ci-dessous :  
![Insertion du fichier.iso](images/iso.png)  
_Insertion du fichier.iso_

- Qu’est-ce qu’un fichier iso bootable ?

  > C’est un fichier qui doit s'exécuter au démarrage de la machine

- Qu’est-ce que MATE ? GNOME ?

  > MATE est un fork de GNOME (un fork est un nouveau référentiel qui partage le code et les paramètres de visibilité avec le référentiel « en amont » d'origine) ; ce sont des environnement de bureau simples d’utilisation.  
  > Sources : [source1](https://mate-desktop.org/fr/), [source2](https://docs-github-com.translate.goog/en/pull-requests/collaborating-with-pull-requests/working-with-forks/fork-a-repo?_x_tr_sl=en&_x_tr_tl=fr&_x_tr_hl=fr&_x_tr_pto=rq&_x_tr_hist=true)

- Qu’est-ce qu’un serveur web ?

  > Un « serveur web » peut faire référence à des composants logiciels (software) ou à des composants matériels (hardware) ou à des composants logiciels et matériels qui fonctionnent ensemble.  
  > ![Schéma d'un serveur web](images/serveur-web.png)  
  > _Schéma repésentant le fonctionnement d'un serveur web_  
  > [Source](https://developer.mozilla.org/fr/docs/Learn_web_development/Howto/Web_mechanics/What_is_a_web_server)

- Qu’est-ce qu’un serveur ssh ?

  > Le protocole Secure Shell (SSH) est une méthode permettant d'envoyer en toute sécurité des commandes à un ordinateur sur un réseau non sécurisé. SSH a recours à la cryptographie pour authentifier et chiffrer les connexions entre les appareils.  
  > ![Schéma d'un serveur SSH](images/SSH-Authentication.png)  
  > _Schéma représentant le fonctionnement d'un serveur SSH_  
  > [Source](https://www.cloudflare.com/fr-fr/learning/access-management/what-is-ssh/)

- Qu’est-ce qu’un serveur mandataire ?
  > Un serveur mandataire filtre les sites web que vous consultez. Il reçoit les requêtes de votre navigateur pour récupérer les pages web demandées avec leurs éléments et, dans le respect des règles édictées, les transmets ou non. Ils sont fréquemment utilisés dans le domaine professionnel et les points d’accès sans fil publics pour contrôler quels sites peuvent être consultés, pour interdire l’accès à Internet sans identification, ou pour effectuer des contrôles de sécurité de certains sites répertoriés.  
  > [Source](https://help.ubuntu.com/stable/ubuntu-help/net-proxy.html.fr)

### Préparation du système

#### Accès sudo pour user

> Passer en mode console sur la vm (**_ctrl+alt+f1_**), si fonctionne pas, dans terminal exécuter `su -` puis mettre mot de passe de root (indiquer en index du sujet semaine 1 sae)  
> Ensuite, exécuter : `usermod -aG sudo user` pour ajouter user aux sudo  
> Visualiser tous les group du pc : `getent group`  
> [Source](https://www.malekal.com/ajouter-utilisateur-groupe-linux/)

- Comment peut-on savoir à quels groupes appartient l'utilisateur user ?
  > Exécuter la commande suivante : `id -nG user`  
  > [Source](https://www.malekal.com/lister-groupes-linux/)

#### Installation des suppléments invités

- Quelle est la version du noyau Linux utilisé par votre VM ?

  > _user@serveur:~$ **uname -r**  
  > **6.1.0**-31-amd64_  
  > La version du noyau Linux est 6.1.0  
  > [Source](https://www.ionos.fr/digitalguide/serveur/know-how/afficher-la-version-de-linux/)

- À quoi servent les suppléments invités ? Donner 2 principales raisons de les installer.

  > Les suppléments invités sont une sorte de pack logiciel à installer sur la machine virtuelle pour optimiser son fonctionnement et ajouter de nouvelles fonctionnalités  
  > 2 principales raisons de les installer : possibilité de d’avoir une presse-papier partagée entre la vm et l’ordinateur hôte ; pouvoir mettre la vm en plein écran  
  > [Source](https://fr.wikipedia.org/wiki/Oracle_VM_VirtualBox)

- À quoi sert la commande mount (dans notre cas de figure et dans le cas général) ?
  > La commande mount permet de demander au système d'exploitation de rendre un système de fichiers accessible, à un emplacement spécifié (le point de montage). En outre, vous pouvez utiliser la commande mount pour générer d'autres arborescences de fichiers qui sont constituées de répertoires et de montages de fichiers.  
  > Dans notre cas, la commande mount est utilisée pour que notre système d’exploitation prend en compte ce qu’il y a dans le lecteur CD de la VM (notamment ici pour les suppléments invités).  
  > [Source](https://www.ibm.com/docs/fr/aix/7.3?topic=m-mount-command)

### À propos de la distribution Debian

#### Quelques questions

- Qu’est-ce que le Projet Debian ? D’où vient le nom Debian ?
  > Le nom Debain vient du nom du foncdateur de Debian Ian Murdock, et de sa femme, Debra

##### _La maintenance_

- Il existe 3 durées de prise en charge (support) de ces versions : la durée minimale, la durée en support long terme (LTS) et la durée en support long terme étendue (ELTS). Quelle sont les durées de ces prises en charge ?

  > | Durée minimale |  LTS  |  ELTS  |
  > | :------------: | :---: | :----: |
  > |     3 ans      | 5 ans | 10 ans |

- Pendant combien de temps les mises à jour de sécurité seront-elles fournies ?
  > L'équipe en charge de la sécurité prend normalement en charge la distribution stable pendant trois années après sa publication. Il n'est pas possible de prendre en charge trois distributions, c'est déjà bien assez difficile avec deux.

##### _Nom générique, nom de code et version_

- Combien de versions au minimum sont activement maintenues par Debian ? Donnez leur nom générique (= les types de distribution).

  > Debian a toujours au moins trois versions activement entretenues : stable , testing et unstable

- Chaque distribution majeure possède un nom de code différent. Par exemple, la version majeure actuelle (Debian 12) se nomme bookworm. D’où viennent les noms de code données aux distributions ?

  > Quand une distribution Debian est en cours de développement, elle n'a aucun numéro de version mais un nom de code. Le but de ces noms de code est de faciliter la copie sur les miroirs des distributions Debian

- L’un des atouts de Debian fut le nombre d’architecture (≈ processeurs) officiellement prises en charge. Combien et lesquelles sont prises en charge par la version Bullseye ?

  > Les architecture supporter par Debian sont au nombre de 10 officielement, voici les arcitechture supporter officielement:
  >
  > - PC 64 bits (amd64)
  > - ARM64 bits (AArch64)
  > - ARM EABI (armel)
  > - ARM avec unité de calcul flottant (armhf)
  > - PC 32 bits (i386)
  > - MIPS (grand boutiste)
  > - MIPS (petit boutiste)
  > - MIPS 64 bits (petit boutiste)
  > - Processeurs POWER
  > - IBM System  
  >   [Source](https://www.debian.org/releases/bullseye/index.fr.html)

- Première version avec un nom de code

  > ◦ Quel a était le premier nom de code utilisé ? buzz  
  > ◦ Quand a-t-il été annoncé ? 17 juin 1996  
  > ◦ Quel était le numéro de version de cette distribution ? 1.1

- Dernière nom de code attribué
  > ◦ Quel est le dernier nom de code annoncé à ce jour ? bookworm  
  > ◦ Quand a-t-il été annoncé ? 10 juin 2023  
  > ◦ Quelle est la version de cette distribution ? 12

### Installation préconfigurée

#### Récupérer et préparer les fichiers nécessaires

##### Faire une nouvelle machine avec les caractéristiques suivantes

Voir : [Caractéristiques de la machine virtuelle](#caractéristiques-de-la-machine-virtuelle)

![Récapitulatif de la machine virtuelle](images/recapitulatif-5.png)  
_Récapitulatif de la machine virtuelle_

Fichiers de pré-configuration

1. Récupérer l’archive autoinstall_Debian.zip sur Moodle et décompresser-là dans le répertoire de
   votre machine virtuelle.

2. Remplacer la chaîne @@UUID@@ par un identifiant unique universel. Le plus simple est d’exécuter la commande ci-dessous en étant placé dans le même répertoire que votre fichier S203-Debian12.viso.

```sh
sed -i -E "s/(--iprt-iso-maker-file-marker-bourne-sh).*$/\1=$(cat /proc/sys/kernel/random/uuid)/" S203-Debian12.viso
```

1. Insérer le fichier S203_Debian12.viso dans le lecteur optique (cd/dvd) de votre machine virtuelle ;
2. Démarrer la machine virtuelle et laissez l’installation se dérouler.
3. Testez les ajouts invités en vous connectant (user/user, ou root/root) puis en modifiant la taille de la
   fenêtre

![Écran après autoinstallation](images/connexion-apres-autoinstallation.png)  
_Écran après autoinstallation_

ajouter user à sudo : `sh usermod -aG sudo user`

##### Fichiers de pré-configuration

1. Récupérer l’archive _autoinstall_Debian.zip_ sur Moodle et décompresser-là dans le répertoire de votre machine virtuelle.

2. Remplacer la chaîne _@@UUID@@_ par un identifiant universel. Le plus simple est d’exécuter la commande ci-dessous en étant placé dans le même répertoire que votre fichier S203-Debian12.viso :

   ```sh
   sed -i -E "s/(--iprt-iso-maker-file-marker-bourne-sh).*$/\1=$(cat /proc/sys/kernel/random/uuid)/" S203-Debian12.viso
   ```

3. Insérer le fichier _S203_Debian12.viso_ dans le lecteur optique (cd/dvd) de votre machine virtuelle

4. Démarrer la machine virtuelle et laissez l’installation se dérouler

5. Testez les ajouts invités en vous connectant (_user/user_, ou _root/root_) puis en modifiant la taille de la
   fenêtre

![Écran connexion après autoinstallation](images/connexion-apres-autoinstallation.png)  
_Écran connexion après autoinstallation_

##### Questions : Ajustement de la pré-configuration

Modifier votre configuration (et recommencez l’installation) afin de :

- Ajouter le droit d’utiliser **_sudo_** à l’utilisateur standard

  > Dans le fichier _preseed-fr.cfg_ ajouter sudo à la ligne

  ```cfg
  d-i passwd/user-default-groups string audio cdrom video sudo
  ```

- Installer l’environnement **_MATE_**

  > Ajouter cette ligne dans le fichier _preseed.cfg_ :

  ```cfg
  ## Installer environnement MATE
  /install.amd/vmlinuz vga=788 initrd=/install.amd/gtk/initrd.gz desktop=mate-desktop --- quiet
  ```

  [Source](https://www.debian.org/releases/stable/amd64/apbs02.fr.html)

- Ajouter les paquets suivants :

  1. **_sudo_** : sinon la gestion sudo est inutile

  2. **_git_**, **_sqlite3_**, **_curl_** : pour préparer l’installation de la semaine prochaine

  3. **_bash-completion_** : va vous simplifier grandement l’écriture des lignes de commande

  4. **_neofetch_** : pas très utile

  > Ajouter la ligne suivant pour installer tous ces paquets :

  ```cfg
  d-i pkgsel/include string sudo, git, sqlite3, curl, bash-completion, neofetch
  ```

  [Source](http://papy-tux.legtux.org/doc1173/index.php)

### Problèmes rencontrés

Après installation sur ordinateur personnel de l'archive auto_install.zip sur moodle, et mise en commentaire de la ligne concernant le proxy dans le fichier preseed.cfg, je n'arrivais pas à lancer une installation automatique sur mon pc.

### Solutions envisagées

Essayer sur un pc de salle de TP.

## Semaine S2 de la SAÉ

### Rapport et Readme

La semaine 2 consiste en la prise en main d'un outil de balisage léger, dans notre cas Markdown et pandoc, et à mettre en place les fichiers et les extensions afin de garantir une bonne écriture des fichiers. Le résultat de la semaine 2 est constitué des fichiers en eux-mêmes.

## Semaine S3 de la SAÉ

### Interface graphique pour git

Tout d'abords, installez les paquets gitk et git gui

- Qu’est-ce que le logiciel gitk ? Comment se lance-t-il ?

> gitk est un navigateur de dépôt graphique, le premier de son genre. Il peut être considéré comme un encapsuleur graphique pour git log . Il permet d'explorer et de visualiser l'historique d'un dépôt.

Il se lance avec la commande :

```sh
gitk
```

- Qu’est-ce que le logiciel git-gui ? Comment se lance-t-il ?

> C’est aussi une interface graphique pour le dépot .

Il se lance avec la commande :

```sh
gitk
```

#### Installons autre chose et comparons

Interface gratuite ungit

- Pourquoi avez-vous choisi ce logiciel ?

> Il représente les dépôts git sous forme d’arbres pour lesquels chaque nœud correspond à un commit.

- Comment l’avez vous installé ?

> avec cette commande d'abords pour installer nodes js :

```sh
sudo apt install nodejs npm -y
```

> puis celle-çi pour installer ungit :

```sh
npm install -g ungit
```

Comparaison avec gitk et git gui

| Critère                    | Gitk                             | Git GUI                              | Ungit                                   |
| -------------------------- | -------------------------------- | ------------------------------------ | --------------------------------------- |
| **Type d'outil**           | Visualisation de l'historique    | Interface complète pour Git          | Interface web pour Git                  |
| **Installation**           | Inclus avec Git                  | Inclus avec Git                      | Nécessite Node.js                       |
| **Interface**              | Minimaliste, basé sur Tk         | Basique, en Tk                       | Moderne et intuitive (web)              |
| **Utilisation**            | Explorer les commits et branches | Faire des commits, merges, push/pull | Interface graphique simplifiée pour Git |
| **Facilité d'utilisation** | Moyenne (assez brut)             | Plus simple mais limité              | Très accessible                         |
| **Support du staging**     | Non                              | Oui                                  | Oui                                     |
| **Support des merges**     | Visualisation uniquement         | Oui, mais basique                    | Oui, très visuel                        |
| **Personnalisation**       | Non                              | Non                                  | Oui, via plugins et options web         |
| **Multiplateforme**        | Oui                              | Oui                                  | Oui (via navigateur)                    |
| **Dépendances**            | Git et Tk                        | Git et Tk                            | Node.js et navigateur                   |

## Semaine S4 de la SAÉ

### 1. Préliminaire : redirection de port

Le mode réseau par défaut de nos machines virtuelles est le mode NAT. Il permet de faire la redirection dont nous avons besoins ici.

Sur VirtualBox, on peut utiliser l’interface graphique et la configuration de votre VM pour ajouter des redirections de port. Regardez la figure ci-dessous et réalisez la redirection du port 3000 de votre machine hôte (= la machine physique où est installée VirtualBox et votre VM) vers le port 3000 de votre VM.

![Configuration réseau de la machine virtuelle](images/configuration-reseau-vm.png)  
_Configuration réseau de la machine virtuelle_

![Ajout d'une redirection de port](images/ajouter-redirection-port.png)  
_Ajout d'une redirection de port_

![Redirection de port ajoutée](images/redirection-port-ajoutee.png)  
_Redirection de port ajoutée_

### 2. Installation de Gitea

Questions 1. À propos de Gitea

- Qu’est-ce que Gitea ?

> Gitea est un service de développement de logiciels tout-en-un indolore. Il comprend l'hébergement Git, la révision du code, la collaboration d'équipe, le registre des paquets et l'IC/CD.
> [Source](https://docs.gitea.com/)

- À quels logiciels bien connus dans ce domaine peut-on le comparer (en citer au moins 2) ?

> Il est similaire à GitHub, Bitbucket et GitLab. [Source](https://docs.gitea.com/)

- Qu’est-ce qu’un fork (dans le domaine du développement logiciel) ?

> Un fork est une copie d'un projet logiciel existant à un moment donné pour permettre à quelque-un d'ajouter ses propres modifications au projet.
> [Source](https://developer.mozilla.org/fr/docs/Glossary/Fork)

- De quel logiciel Gitea est-il le fork ? Ce logiciel existe-t-il encore ?

> Gitea est un fork du logiciel [Gogs](https://gogs.io/). Oui, ce logiciel existe encore.
> [Source](https://docs.gitea.com/)

#### 2.1. Installation de gitea

L'installation de gitea donnée par la documentation n'explique pas toutes les subtilités ce qui nous a beacoup bloquées nous allons donc essayer dans ce rapport de donner un maximum d'information

##### 2.1.1. Installation du binaire

Tout d'abord, on installe les binaires de gitea dans le dossier **/usr/local/bin/** (ici la version **1.23.5** avec cette commande) :

```sh
wget -O /usr/local/bin/gitea https://dl.gitea.com/gitea/1.23.5/gitea-1.23.5-linux-amd64
```

On ajoute la possibilité de l'éxecuter avec cette commande :

```sh
chmod +x /usr/local/bin/gitea
```

> On verifie aussi avant de passer à la suite que la version de git est bien superieure à **2.0** et mettre à jour si ce n'est pas le cas

On met un nouveau utilisateur pour lancer gitea que nous allons appellons ici git avec la commande suivante :

```sh
adduser \
   --system \
   --shell /bin/bash \
   --gecos 'Git Version Control' \
   --group \
   --disabled-password \
   --home /home/git \
   git
```

Pour avoir une bonne structure de répertoire :

```sh
mkdir -p /var/lib/gitea/{custom,data,log}
chown -R git:git /var/lib/gitea/
chmod -R 750 /var/lib/gitea/
mkdir /etc/gitea
chown root:git /etc/gitea
chmod 770 /etc/gitea
```

Avant de lancer gitea, il faut configurer le dossier de lancement :

```sh
export GITEA_WORK_DIR=/var/lib/gitea/
```

On se place maintenant en tant qu'utilisateur git :

```sh
sudo su - git
```

On peut maintenant lancer gitea avec la commande suivante :

```sh
GITEA_WORK_DIR=/var/lib/gitea /usr/local/bin/gitea web -c /etc/gitea/app.ini
```

On va maintenant dans le naviguateur pour la configuration à l'adresse suivante :

`http://localhost:3000/`

La configuration est la suivante :

![Utilisation de la base de données sqlite3](images/config_gitea_1.png)  
_Utilisation de la base de données **sqlite3**_

![paramétrage du compte adminstateur](images/config_gitea_2.png)  
_paramétrage du compte adminstateur_

Cliquer ensuite sur **installer gitea**.

![page d'acceuil de gitea](images/reussite_gitea.png)  
_page d'acceuil de gitea_

L'installation et maintenant terminée !

#### 2.1.2 Mise à jour

- Donnez la version que vous avez installé et la commande donnant cette information.

> La version installé est la version 1.23.5 ; à vérifier avec la commande suivante  :

```sh
gitea --version
```

> Ce qui doit retourner :

```sh
Gitea version 1.23.5 built with GNU Make 4.3, go1.23.7 : bindata, sqlite, sqlite_unlock_notify
```

- Comment faire pour mettre à jour le binaire de votre service sans devoir tout reconfigurer ? Essayez en mettant à jour vers la version 1.24-dev.

> Pour cela, il suffit simplement d'installer la version superieure que l'on souahite avec la commande suivante :

```sh
sudo wget -O /usr/local/bin/gitea https://dl.gitea.com/gitea/main-nightly/gitea-main-nightly-linux-amd64
```

> Ce qui doit retourner :

```sh
Gitea version 1.24.0+dev-474-ge1bba9c1a2 built with GNU Make 4.3, go1.24.1 : bindata, sqlite, sqlite_unlock_notify
```

#### 2.2. Tests d’utilisation

**1er test** :

On ouvre un nouveau dépot depuis l'interface web de gitea :

![création du dépot](images/test_gitea.png)  
_création du dépot_

**2ème test** :

On migre le dépot où se trouve ce rapport vers gitea avec la fonctionnalité présente :

![page de migartion du dépot sae2.03](images/migration_sae2-03.png)  
_page de migartion du dépot sae2.03_

**3ème test** :

Test de la migration du dépot de développpement partagé entre les membres du groupe :

![ajout du dépot dev-oo](images/dépôt_dev-oo.png)  
_ajout du dépot dev-oo_

- Ces tests fonctionnent tous, ce qui signifie que le serveur a bien été configuré et qu'il est prêt à l'utlisatation **CONCLUANT** ainsi ce rapport !
